`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    16:25:00 04/01/2013 
// Design Name: 
// Module Name:    TestDisplay7SEG 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module TestDisplay7SEG(
    input CLK,
    input RESET,
	 input [7:0] SW,
	 output [11:0] SEG
    );
	 
	 reg [23:0] div_counter;
	 reg [15:0] counter;
	 wire [3:0] digit_0;
	 wire [3:0] digit_1;
	 wire [3:0] digit_2;
	 wire [3:0] digit_3;

	Display7SEG display (
		.CLK(CLK),
		.RESET(RESET),
		.DIGIT_0(digit_0),
		.DIGIT_1(digit_1),
		.DIGIT_2(digit_2),
		.DIGIT_3(digit_3),
		.SEG(SEG)
		);
		
	always @(posedge CLK)
	begin 
		if(RESET)
			div_counter <= 0;
		else
			if(div_counter[23] == 1)
				div_counter <= 0;
			else
				div_counter <= div_counter + SW;
	end

		
	always @(posedge CLK)
	begin
	if(RESET)
		counter <= 0;
	else
		if(div_counter[23] == 1)
			counter <= counter + 1;
	end

	assign digit_0 = counter[15:12];
	assign digit_1 = counter[11:8];
	assign digit_2 = counter [7:4];
	assign digit_3 = counter [3:0];


endmodule
